SEND_ARP(8)

NAME
send_arp - Send out one ARP packet with source/target IP and Ethernet hardware addresses suuplied by the user.

SYNOPSIS
send_arp sndr_ip_addr sndr_hw_addr targ_ip_addr targ_hw_addr [src_int [src_hw_addr [dest_hw_addr]]]

DESCRIPTION
send_arp This program sends out one ARP packet with source/target IP and Ethernet hardware addresses suuplied by the user. It compiles and works on Linux and will probably work on any Unix that has SOCK_PACKET.

The idea behind this program is a proof of a concept, nothing more. It comes as is, no warranty. However, you're allowed to use it under one condition: you must use your brain simultaneously. If this condition is not met, you shall forget about this program and go RTFM immediately.

OPTIONS

sndr_ip_addr
    Sender IP address for ARP packet.

sndr_hw_addr
    Sender Hardware address for ARP packet.

targ_ip_addr
    Target IP address for ARP packet.

targ_hw_addr
    Target Hardware address for ARP packet.

src_int
    Source Interface for ARP packet.

src_hw_addr
    Source layer2 Hardware address for ARP packet.

dest_hw_addr
    Destination layer2 Hardware address for ARP packet.

AUTHORS
send_arp - Yuri Volobuev <volobuev@t1.chem.umn.edu>
man page - Horms <horms@verge.net.au>
layer2 patch - Patrick Koppen <patrick@koppen.de>